import createProgressEstimator from 'progress-estimator';
export declare const cleanDist: () => Promise<void>;
export declare const clearLine: () => void;
export declare const clearConsole: () => void;
export declare const getCacheDir: (...pathParts: string[]) => string;
export declare const progressEstimator: createProgressEstimator.ProgressEstimator;
export declare const convertPkgNameToKebabCase: (pkgName: string) => string;
export declare const convertKebabCaseToPascalCase: (kebabCase: string) => string;
export declare const fileExists: (dirPath: string, fileName: string) => Promise<boolean>;
export declare const checkInvariantsAndGetConfiguration: ({ args, cwd }: {
    args: any;
    cwd: any;
}) => Promise<{
    watchMode: boolean;
    tsconfigPath: any;
    addUmdBuild: any;
    entryFile: string;
    kebabCasePkgName: string;
    pkgJsonSideEffects: boolean;
    pkgJsonDependencyKeys: string[];
    pkgJsonPeerDependencyKeys: string[];
    pkgJsonUmdGlobalDependencies: any;
}>;
